Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Update ERROR  (gelezen 446 keer)

Offline seghele

  • Lid
  • Steunpunt: Nee
Update ERROR
« Gepost op: 2013/12/31, 15:57:12 »
Heb een tweede desktop pc met Xubuntu 12.04  - Kenel 3.2.0-57.
Bij updaten krijg ik nu telkens een ERROR. Ook bij installeren van soft.

[code]--- via Updatebeheer:
installArchives() failed: Selecting previously unselected package libgconf2.0-cil.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 448929 files and directories currently installed.)
Unpacking libgconf2.0-cil (from .../libgconf2.0-cil_2.24.2-1_all.deb) ...
Selecting previously unselected package libglade2.0-cil.
Unpacking libglade2.0-cil (from .../libglade2.0-cil_2.12.10-2ubuntu4_i386.deb) ...
Selecting previously unselected package sysinfo.
Unpacking sysinfo (from .../archives/sysinfo_0.7-8_all.deb) ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Setting up frontaccounting (2.2.10-3) ...
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dpkg: error processing frontaccounting (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
Setting up libgconf2.0-cil (2.24.2-1) ...
* Installing 6 assemblies from libgconf2.0-cil into Mono
Setting up libglade2.0-cil (2.12.10-2ubuntu4) ...
* Installing 1 assembly from libglade2.0-cil into Mono
Setting up sysinfo (0.7-8) ...
Errors were encountered while processing:
 frontaccounting
Error in function:
Setting up frontaccounting (2.2.10-3) ...
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dpkg: error processing frontaccounting (--configure):
 subprocess installed post-installation script returned error exit status 1
[/code] ]-
---  ~$ sudo dpkg --configure -a
Instellen van frontaccounting (2.2.10-3) ...
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dpkg: fout bij afhandelen van frontaccounting (--configure):
 subproces installed post-installation script gaf een foutwaarde 1 terug
Fouten gevonden tijdens behandelen van:
 frontaccounting

---  ~$ sudo apt-get autoremove
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zullen VERWIJDERD worden:
  calligra-l10n-engb calligra-l10n-nl kde-l10n-engb kde-l10n-nl language-pack-kde-en
  language-pack-kde-en-base language-pack-kde-nl language-pack-kde-nl-base
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 8 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Door deze operatie zal er 45,2 MB schijfruimte vrijkomen.
Wilt u doorgaan [J/n]? j
(Database inlezen ... 453548 files and directories currently installed.)
calligra-l10n-engb wordt verwijderd ...
calligra-l10n-nl wordt verwijderd ...
kde-l10n-engb wordt verwijderd ...
kde-l10n-nl wordt verwijderd ...
language-pack-kde-nl-base wordt verwijderd ...
language-pack-kde-en-base wordt verwijderd ...
language-pack-kde-nl wordt verwijderd ...
language-pack-kde-en wordt verwijderd ...
Processing triggers for man-db ...
Processing triggers for software-center ...
INFO:softwarecenter.db.update:translation information in database is up-to-date
Instellen van frontaccounting (2.2.10-3) ...
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dpkg: fout bij afhandelen van frontaccounting (--configure):
 subproces installed post-installation script gaf een foutwaarde 1 terug
Fouten gevonden tijdens behandelen van:
 frontaccounting
E: Sub-process /usr/bin/dpkg returned an error code (1)

Welke oplossing aub ?


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Update ERROR
« Reactie #1 Gepost op: 2014/01/03, 12:55:18 »
Zorg dat MySQL draait en dat je die goed ingesteld hebt. Die heb je namelijk nodig voor het pakket frontaccounting. Waarschijnlijk zal je ook de instellingen van dat pakket even aan moeten passen (kijk in /etc).

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Update ERROR
« Reactie #2 Gepost op: 2014/01/03, 16:52:07 »
Citaat
Zorg dat MySQL draait en dat je die goed ingesteld hebt. Die heb je namelijk nodig voor het pakket frontaccounting. Waarschijnlijk zal je ook de instellingen van dat pakket even aan moeten passen (kijk in /etc).

Johan van Dijk, bedankt voor de reactie.
Sorry, maar mijn kennis is beperkt en je uitleg is ten spijt niet duidelijk voor mij.
Graag "details" aub, indien mogelijk.
 ???

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Update ERROR
« Reactie #3 Gepost op: 2014/01/03, 20:15:20 »
Maar waarom heb je dan MySQL op je computer als niet weet hoe het werkt? :o MySQL is niet iets wat je als gewone gebruiker nodig hebt...

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Update ERROR
« Reactie #4 Gepost op: 2014/01/03, 23:39:38 »
Citaat
Zorg dat MySQL draait en dat je die goed ingesteld hebt. Die heb je namelijk nodig voor het pakket frontaccounting. Waarschijnlijk zal je ook de instellingen van dat pakket even aan moeten passen (kijk in /etc).

Johan van Dijk, bedankt voor de reactie.
Sorry, maar mijn kennis is beperkt en je uitleg is ten spijt niet duidelijk voor mij.
Graag "details" aub, indien mogelijk.
 ???

Ik ken het pakket frontaccounting totaal niet, dus "details" kan ik je niet geven. Wat ik uit de foutmelding begrijp is dat het pakket een MySQL database nodig heeft om te werken, maar daar kan geen contact mee worden gemaakt. Dus je hebt of geen MySQL draaien, of je hebt de configuratie van frontaccounting niet goed ingesteld.

Je kan dus 2 dingen doen:

Zorgen dat de database draait en goed is ingesteld (controleer de bestanden in /etc/mysql en de instellingen binnen mysqld).
Zorgen dat de configuratie van frontaccounting goed staat (waarschijnlijk in /etc/frontaccounting of iets dergelijks).

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Update ERROR
« Reactie #5 Gepost op: 2014/01/04, 20:00:01 »
Citaat
Zorgen dat de configuratie van frontaccounting goed staat (waarschijnlijk in /etc/frontaccounting of iets dergelijks).

Heb via Synaptic het programma "frontaccounting" kunnen verwijderen.
Dit prog. werd door mijn zoon op de pc gezet!!!

Bedankt voor de info en reactie.
Alles werkt terug prima (voorlopig!).
 :)